<?php

if (!defined('__RB_API_URL')) {
    define('__RB_API_URL', '{{API_URL}}');
}

if (!defined('__RB_API_ACCEPT_201')) {
    define('__RB_API_ACCEPT_201', 201);
}

if (!defined('__RB_API_ACCEPT_202')) {
    define('__RB_API_ACCEPT_202', 202);
}


if (!defined('__RB_API_AUTH_USERNAME')) {
    define('__RB_API_AUTH_USERNAME', 'username');
}

if (!defined('__RB_API_AUTH_PASSWORD')) {
    define('__RB_API_AUTH_PASSWORD', 'password');
}

define('__RB_API_SERVICE_CLOUD', '/cloud.php');
define('__RB_API_SERVICE_CUSTOMER', '/customer.php');

define('__RB_API_ACTION_CHECKOUT_CONFIG', 'checkoutConfig');

define('__RB_API_ACTION_CLOUD_GET_CONFIG', 'getConfig');

define('__RB_API_ACTION_CLOUD_LOGIN', 'login');
define('__RB_API_ACTION_CLOUD_UNSUBSCRIBE', 'unsubscribe');
define('__RB_API_ACTION_CLOUD_ADD_CONTACT_MESSAGE', 'addContactMessage');
define('__RB_API_ACTION_CLOUD_CANCEL_SUBSCRIPTION', 'cancelSubscriptionByEmail');

define('__RB_API_ACTION_CLOUD_NEWSLETTER_SUBSCRIBE', 'newsletterSubscribe');
define('__RB_API_ACTION_CLOUD_NEWSLETTER_UNSUBSCRIBE', 'newsletterUnsubscribe');

define('__RB_API_ACTION_CLOUD_GET_GENRES', 'getGenres');
define('__RB_API_ACTION_CLOUD_GET_CATEGORIES', 'getCategories');
define('__RB_API_ACTION_CLOUD_GET_EXT_FOOD_CATEGORIES', 'getExtFoodCategories');
define('__RB_API_ACTION_CLOUD_GET_FILES', 'getFiles');
define('__RB_API_ACTION_CLOUD_GET_EXT_FOOD_FILES', 'getExtFoodFile');
define('__RB_API_ACTION_CLOUD_GET_FILES_LATEST', 'getFilesLatest');
define('__RB_API_ACTION_CLOUD_GET_FILES_LATEST_VIDEO', 'getFilesLatestVideo');
define('__RB_API_ACTION_CLOUD_GET_FILES_LATEST_PDF', 'getFilesLatestPdf');
define('__RB_API_ACTION_CLOUD_GET_FILES_LATEST_VIDEO_BUNDLE', 'getFilesLatestVideoBundle');
define('__RB_API_ACTION_CLOUD_GET_FILES_LATEST_PDF_BUNDLE', 'getFilesLatestPdfBundle');

define('__RB_API_ACTION_CLOUD_GET_SHIPPING', 'getShipping');
define('__RB_API_ACTION_CLOUD_ADD_SHIPPING', 'addShipping');
define('__RB_API_ACTION_CLOUD_SET_SHIPPING', 'setShipping');
define('__RB_API_ACTION_CLOUD_DEL_SHIPPING', 'delShipping');

define('__RB_API_ACTION_CLOUD_GET_MEETING_CUSTOMERS', 'getMeetingCustomers');
define('__RB_API_ACTION_CLOUD_ADD_MEETING_CUSTOMERS', 'addMeetingCustomers');
define('__RB_API_ACTION_CLOUD_SET_MEETING_CUSTOMERS', 'setMeetingCustomers');
define('__RB_API_ACTION_CLOUD_DEL_MEETING_CUSTOMERS', 'delMeetingCustomers');

define('__RB_API_ACTION_CLOUD_GET_MEETING_EMPLOYEE', 'getMeetingEmployee');
define('__RB_API_ACTION_CLOUD_ADD_MEETING_EMPLOYEE', 'addMeetingEmployee');
define('__RB_API_ACTION_CLOUD_SET_MEETING_EMPLOYEE', 'setMeetingEmployee');
define('__RB_API_ACTION_CLOUD_DEL_MEETING_EMPLOYEE', 'delMeetingEmployee');

define('__RB_API_ACTION_CLOUD_GET_MEETING', 'getMeeting');
define('__RB_API_ACTION_CLOUD_ADD_MEETING', 'addMeeting');
define('__RB_API_ACTION_CLOUD_SET_MEETING', 'setMeeting');
define('__RB_API_ACTION_CLOUD_DEL_MEETING', 'delMeeting');

define('__RB_API_ACTION_CLOUD_CUSTOMER_UPDATE', 'customerUpdate');


define('PROCESS_ERROR', -1);
define('PROCESS_INCORRECT', -2);

define('FORM_MISSING_EMAIL', 101);
define('FORM_INVALID_EMAIL', 102);
define('FORM_MISSING_MESSAGE', 105);




define("REGEX_UNIVERSAL_NAME_EXTRA", "/^[\s,.'`´’‘_\/()\-\pL]+$/u");
define("REGEX_UNIVERSAL_NAME_NUMBER_EXTRA", "/^[0-9\s,.\/\\'`´’‘°_\^()\-\pL]+$/u");
define("REGEX_ALPHANUMERIC_STROKES", "/^[\w-]+$");
define("REGEX_NUMBER", "/^[0-9]+$/u");
define("REGEX_POSTAL_CODE_GENERAL", REGEX_UNIVERSAL_NAME_NUMBER_EXTRA);
//define("REGEX_POSTAL_CODE_GENERAL", "/^[0-9a-z-_\s]{3,16}$/ui");
define("REGEX_PHONE_NUMBER_GENERAL", "/^[0-9-\s(),.\/+]{3,32}$/u");
//define("REGEX_PHONE_NUMBER_GENERAL", "/^[0-9]{3,32}$/u");
define("REGEX_CVC_NUMBER", "/^[0-9]{3,4}$/u");
define("REGEX_CREDIT_CARD", "/^([0-9]{16,16}|[0-9]{18,19})$/u");
define("REGEX_EXPIRY_DATE", "/^[0-9]{2,2}\/[0-9]{2,2}$/u");
define("REGEX_MAIL", "/^([\p{L}\_\.\-\d]+)@([\p{L}\-\.\d]+)((\.(\p{L}){2,63})+)$/u");
